config/routes.rb
Rails.application.routes.draw do
  resources :notes
  get 'statistics/show'
  get 'pages/no_project'
  get 'calendar/show'
  get 'pages/home'

  devise_for :users

  resources :projects do
    resources :tasks do
      resources :allocated_times do
        member do
          post :complete
          post :ignore
        end
      end

      member do
        post :complete
        post :uncomplete
      end
    end
  end

  root to: 'pages#home'
end

app/models/note.rb
class Note < ApplicationRecord
  belongs_to :user
  validates :title, presence: true
end

app/controllers/notes_controller.rb
class NotesController < ApplicationController
  load_and_authorize_resource
  before_action :set_note, only: [:show, :edit, :update, :destroy]

  def index
    @notes = Note.all.where(user_id: current_user.id)
  end

  def new
    @note = Note.new
  end

  def edit
  end

  def create
    @note = Note.new(note_params)
    @note.user_id = current_user.id
    if @note.save
      flash[:success] = "Note created"
      redirect_to notes_path
    else
      render 'new'
    end
  end

  def update
    if @note.update(note_params)
      flash[:success] = 'Note edited'
      redirect_to notes_path
    else
      render 'edit'
    end
  end

  def destroy
    @note.destroy
    flash[:success] = "Note deleted"
    redirect_to notes_path
  end

  private
    def set_note
      @note = Note.find(params[:id])
    end

    def note_params
      params.require(:note).permit(:title, :content, :user_id)
    end
end

app/helpers/notes_helper.rb
module NotesHelper
end

app/views/notes/_form.html.slim
= simple_form_for(@note) do |f|
  = f.error_notification

  .form-inputs
    = f.input :title
    = f.input :content

  .form-actions
    = f.button :submit

app/views/notes/_note.html.slim
div class="panel panel-default"
  div class="panel-heading"
    h4
      =note.title
    div
      =link_to 'Edit', edit_note_path(note), class: "btn btn-info"
      =link_to 'Destroy', note, data: { confirm: 'Are you sure?' }, method: :delete, class: "btn btn-warning"
  -if !note.content.blank?
    div class="panel-body"
      =note.content

app/views/notes/edit.html.slim
h1 Edit note
== render 'form'
= link_to 'Back', notes_path

app/views/notes/index.html.slim
h2 Notes
div class="project-btns"
  = link_to 'New Note', new_note_path, class: "btn btn-primary"
-if @notes.any?
  -@notes.each do |note|
    =render 'notes/note', note: note

app/views/notes/new.html.slim
h1 New note
== render 'form'
= link_to 'Back', notes_path